=== doc/requirements.txt ===
ablog
sphinx-book-theme~=0.3.3
sphinx-copybutton
sphinx-design
urllib3<2
