=== debian/changelog ===
fortran-toml (0.4.2-5) unstable; urgency=medium

  * pkgconf.patch: Ensure path is correct in toml-f.pc

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 26 Oct 2025 09:57:27 +0000

fortran-toml (0.4.2-4) unstable; urgency=medium

  * Rebuild against updated fortran-testdrive, dh-fortran-mod

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 25 Oct 2025 10:48:55 +0100

fortran-toml (0.4.2-3) unstable; urgency=medium

  * Changes for dh-fortran-mod >= 0.48
  * Mark Multi-Arch: same
  * Build-dep on gfortran

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 19 Oct 2025 09:14:27 +0100

fortran-toml (0.4.2-2) unstable; urgency=medium

  * Add debian/watch file
  * pkgconf.patch: Fix paths
  * Build-dep on pkgconf

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 18 Sep 2025 08:51:34 +0100

fortran-toml (0.4.2-1) experimental; urgency=medium

  * Initial release. (Closes: #1112188)

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 27 Aug 2025 11:49:07 +0100
