## fortran-toml 0.4.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,12 +17,13 @@
 project(
   "toml-f"
   LANGUAGES "Fortran"
-  VERSION "0.4.2"
+  VERSION "0.4.3"
   DESCRIPTION "A TOML parser implementation for data serialization and deserialization in Fortran"
 )
 
 # Follow GNU conventions for installing directories
 include(GNUInstallDirs)
+include(CTest) # option(BUILD_TESTING). ON by default.
 
 # General configuration information
 add_subdirectory("config")
@@ -53,7 +54,7 @@
   $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/${module-dir}>
 )
 if(NOT EXISTS "${PROJECT_BINARY_DIR}/include")
-   make_directory("${PROJECT_BINARY_DIR}/include")
+   file(MAKE_DIRECTORY "${PROJECT_BINARY_DIR}/include")
 endif()
 
 # Export targets for other projects
@@ -89,6 +90,8 @@
 )
 
 # add the testsuite
-enable_testing()
-set(fpm-toml "${PROJECT_SOURCE_DIR}/fpm.toml")
-add_subdirectory("test")
+if(BUILD_TESTING)
+  enable_testing()
+  set(fpm-toml "${PROJECT_SOURCE_DIR}/fpm.toml")
+  add_subdirectory("test")
+endif()
