=== debian/changelog ===
fortran-toml (0.4.3-2) unstable; urgency=medium

  * Move dh-fortran-mod -> dh-fortran
  * d/watch: Move to version 5 syntax
  * Standards-Version: 4.7.3
  * Drop Priority: optional from source in d/control per new policy
  * Add Section: needed for dh-fortran autodetection
  * Update pkg-config file generation ; no longer hard-code paths in patch

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 06 Jan 2026 15:11:23 +0000

fortran-toml (0.4.3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 12 Nov 2025 15:24:54 +0000
