=== debian/control ===
Source: fortran-toml
Section: utils
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Standards-Version: 4.7.3
Uploaders: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-fortran (>= 0.58),
 gfortran,
 libfortran-testdrive-dev,
 pkgconf,
 meson
Homepage: https://github.com/toml-f/toml-f
Vcs-Browser: https://salsa.debian.org/science-team/fortran-toml
Vcs-Git: https://salsa.debian.org/science-team/fortran-toml.git -b debian/latest

Package: libfortran-toml-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},${fortran:Depends},
 libfortran-toml-0 ( = ${binary:Version})
Recommends: pkgconf
Description: Fortran TOML parser library - devel files
 A TOML parser implementation for data serialization and 
 deserialization in Fortran.

Package: libfortran-toml-0
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Fortran TOML parser library 
 A TOML parser implementation for data serialization and 
 deserialization in Fortran.
