=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,11 @@
 #!/usr/bin/make -f
 
 export DH_VERBOSE=1
+
+FMODDIR:=$(shell dh_fortran get_fmoddir)
+FLIBDIR:=$(shell dh_fortran get_flibdir)
+
+PKGFILE=debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/toml-f.pc
 
 # The magic debhelper  rule
 %:
@@ -21,3 +26,7 @@
 
 override_dh_auto_install:
 	meson install -C build
+	sed -i -e 's%@FMODDIR@%${FMODDIR}%' $(PKGFILE)
+	sed -i -e 's%@FLIBDIR@%${FLIBDIR}%' $(PKGFILE)
+	sed -i -e 's%{libdir}%{flibdir}%' $(PKGFILE)
+	sed -i -e 's%{includedir}%{fmoddir}%g' $(PKGFILE)
